Legacy v0
POST /v0/check_email
Legacy email verification endpoint (deprecated, retained for compatibility).
Family: Legacy v0 · Operation ID: post_check_email
Access
Legacy v0 API. It is not available on the hosted service. Use the equivalent v1 operation.
Parameters
[
{
"description": "Optional idempotency key",
"in": "header",
"name": "Idempotency-Key",
"required": false,
"schema": {
"nullable": true,
"type": "string"
}
}
]Request body · application/json
{
"$ref": "#/components/schemas/CheckEmailRequest",
"definition": {
"description": "A request object to perform an email verification. The `to_email` field is required, all other fields are optional.",
"properties": {
"check_gravatar": {
"description": "Whether to check if a Gravatar image exists for the given email.",
"type": "boolean"
},
"from_email": {
"description": "In the SMTP connection, the FROM email address.",
"type": "string"
},
"gmail_verif_method": {
"$ref": "#/components/schemas/GmailVerifMethod"
},
"hello_name": {
"description": "In the SMTP connection, the EHLO hostname.",
"type": "string"
},
"hotmailb2b_verif_method": {
"$ref": "#/components/schemas/HotmailB2BVerifMethod"
},
"hotmailb2c_verif_method": {
"$ref": "#/components/schemas/HotmailB2CVerifMethod"
},
"proxy": {
"$ref": "#/components/schemas/CheckEmailInputProxy"
},
"sandbox": {
"default": false,
"description": "When true, returns deterministic mock results without consuming credits or making real SMTP connections.",
"type": "boolean"
},
"smtp_port": {
"description": "SMTP port to use for email validation. Defaults to 25, but 465, 587, and 2525 are sometimes also used.",
"type": "number"
},
"strict_provider_rules": {
"description": "When false, skips provider-specific syntax validation even if the provider is recognized.",
"type": "boolean"
},
"to_email": {
"description": "The email address to check.",
"type": "string"
},
"yahoo_verif_method": {
"$ref": "#/components/schemas/YahooVerifMethod"
}
},
"required": [
"to_email"
],
"title": "CheckEmailRequest",
"type": "object",
"x-stoplight": {
"id": "834398a8ce480"
}
}
}Responses
200
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CheckEmailOutput"
}
}
},
"description": "Email verification result"
}